Skip to contents

# Named vector to REDCap choices (`wrapping compact_vec()`)

Source: `R/ds2dd_detailed.R`
`vec2choice.Rd`

Named vector to REDCap choices (`wrapping compact_vec()`)

## Usage

    vec2choice(data)

## Arguments

data

  named vector

## Value

character string

## Examples

    sample(seq_len(4), 20, TRUE) |>
      as_factor() |>
      named_levels() |>
      sort() |>
      vec2choice()
    #> [1] "1, 1 | 2, 2 | 3, 3 | 4, 4"